•  Previous
  • 1
  • 2
  • 3(current)
  • 4
  • 5
  • 128
  • Next 
 
Thread Rating:
  • 17 Vote(s) - 4.18 Average
[SUPPORT] Hulu Video Plugin
#31
sorry I thought this was the same problem as others were having so I did not post a debug log. I will try to figure out how this is done and get back to you.
Thanks.
-Stampee
Reply
#32
Bluecop: here is my xbmc.log Immediatly on selecting hulu the plugin crashes. I am running Dharma 10.1 and have the updated librtmp installed.
http://pastebin.com/6vhACRtr

Thank you
-stampee
Reply
#33
pkscuot: ok i think i know whats up with but i need to see what your token.xml from resourses/cache/ looks like if possible. you can pm me if possible and takeout personal info.


stampee: ok I need to do something for dharma. I see there are modules for xbmcvfs for dhrama and xbox.
Reply
#34
BlueCop Wrote:NobodyHere: This has stumped me. I would love to know how you fix it when you do.
Okay. In the meantime could someone tell me which, if any, of these SVN checkout plugins/scripts I may need to copy to my addons folder?

Running this...
Code:
svn checkout http://bluecop-xbmc-repo.googlecode.com/svn/trunk/ bluecop-xbmc-repo-read-only

Gives me these folders/files.
Code:
addons.xml
addons_xml_generator.py
addons.xml.md5
plugin.video.adult.swim
plugin.video.amazon
plugin.video.cartoon.network
plugin.video.cbs
plugin.video.epix
plugin.video.espn3
plugin.video.free.cable
plugin.video.hulu
plugin.video.mtvn
plugin.video.nbc.universal
plugin.video.reddit.bc
plugin.video.southpark.studios
plugin.video.spike
plugin.video.tbs
plugin.video.the.colbert.report
plugin.video.the.daily.show
plugin.video.tnt
plugin.video.vevo
plugin.video.yahoo.music.videos
repository.bluecop.xbmc-plugins
script.module.common.playback
script.module.cryptopy
script.module.demjson
script.module.mechanize

Do I need anything other than the 'plugin.video.hulu' directory installed?
Reply
#35
look in the addon.xml it has the dependancies listed. you should
install the script.modules and you will need beautifulsoup from the main repo.
Reply
#36
BlueCop Wrote:look in the addon.xml it has the dependancies listed. you should
install the script.modules and you will need beautifulsoup from the main repo.
Excellent. The beautiful soup script v3.2.0 had been installed by default, and worked despite the Hulu calling for v3.0.8.

All I had to do was copy the 'plugin.video.hulu', and 'script.module.cryptopy', directories to my addon directory. Hulu is now working for the most part Smile.

The only issue I'm having is that any videos found with the 'search' function fail to playback. http://pastebin.com/bG4RidhS

If I browse for them through episodes, clip, trailers, etc., they work just fine.

Thanks for all the work you put into this.
Reply
#37
From the other thread:

BlueCop Wrote:I don't think xbmc tracks completing strm files. the strm files only launch the plugin to play the video. I don't know how xbmc keeps track of things in this situation really.

If I'm understanding you properly the strm tells xbmc to start the plugin which starts the video. I'm not sure how easy this would be to do, but could the plugin then mark it as watched? I'm sure that is a heck of a lot easier said than done, but thought I would ask.

My guess would be no since the strm file has no idea if the episode is in the library or not , but like I said, maybe it is possible so I am asking.

Brilliant plugin either way though! can map the W it would just be more seamless if it marked them automatically.
Reply
#38
pgeek: upgrade to beta 2 of eden. This will fix your problems you are currently having because it will upgrade your librtmp. here is the link. You might try to re enable DXVA after you upgrade. It could have been fixed.
http://mirrors.xbmc.org/releases/win32/x..._beta2.exe


antonshah Wrote:Hi has anyone managed to figure out how to get past the "please select quality level" screen on apple tv2 went to settings for addon and changed my preferred quality level to a few different ones and also turned advert setting to 0.

Am able to select my show and episode now but cannot get past this screen?

anyone?

antonshah: the empty video list is ussually a symptom of being geo-blocked and it not serving your the video links. There is a proxy setting if you are geo-blocked. You need to find your own and input it in the settings.

dongdong Wrote:For preferred quality level, choose "Ask", CDN server "Akami".
dongdong: the ask setting will display all available bitrate and CDN options. The bitrate and CDN setting are irrelevant when using Ask because it doesn't auto-select a stream for you. Ask is for testing which streams work for you. You don't have to select one every time. You just have to configure it to the ones that work for you.

NobodyHere: glad you have it working. I apologize about the installing from my repo issues but I am at a loss.

sirmeili: I will look into it. See if I can connect to the xbmc db to mark those items.

pkscuot & stampee: committed 3.0.6 which should fix both your issues. Let me know how it works.
Reply
#39
Ok another update. This time it will change how ads work. Hulu serves ads in something i think they call pods. Each pod can have more then one ad. The settings actually controls how many pods. anyway it will now play all the ads in a pod to more closely follow how hulu functions.

I believes 2 pre-rolls pods and 1 pod per break is officially how hulu works. If you have logged into hulu and filled out their ad experience stuff then the plugin can now take advantage of that. You have to use your login with the plugin though.

I am going to add an option to do the network pre-roll like the hulu client does. It will be another web request to get that url though. Anyway it will be optional.

I just want to be able to have a setting to simulate the hulu playback experience as close as possible.
Reply
#40
Bluecop: Thankyou. How do I get the latest version? I went to the repository on the first page, but it only has the repository itself to download. I went inside XBMC, uninstalled Hulu and reinstalled it, and received version 3.0.5 once again. I read someplace there was a way to force a refresh, but.. cant find that information now.
-Stampee
Reply
#41
stampee: if you highlight the repository and press c on the keyboard to bring up the context menu. It has options for force refresh and check for updates. I ussually do force refresh twice. I dunno if I am just impatient and it just hasn't refreshed yet. It always seems to work to force it to grab a new version.
Reply
#42
Bluecop: Thanks. I forced the refresh and now see version 3.0.7 I ended xbmc and restarted. Running Hulu I get an immediate script error again.
http://pastebin.com/CE0VnQQR

Thanks for all the work. I see an old post you wanted to drop Dharma support. I am sad to see this happen. maybe you will reconsider this at least until Eden is officially released.
I have a windows copy of the librtmp.dll if you would like me to post it someplace for other users.
Reply
#43
BlueCop Wrote:pkscuot & stampee: committed 3.0.6 which should fix both your issues. Let me know how it works.

That seems to have done it. I did notice one thing during testing about which I'm not that concerned, but I did want to let you know. I'm using the library integration stuff. If I view a show from the TV Show list (either recent or the show directory) the ads and the show roll fine. Ditto it I go into the Hulu plugin. But if I try to view a show directly from the Recently Added widget on Confluence, it shows the first ad and then drops back to the home screen.

I almost never watch shows that last way, so I really don't care. I'll probably just chalk it up to a skin problem and move on with my life. Wink
Providing a debug log: http://kodi.wiki/view/Log_file/Easy

Add-ons I maintain:
Artist Slideshow: Add-on:Artist_Slideshow (wiki)
SpeedFan Information Display: Add-on:SpeedFan_Information_Display (wiki)
Reply
#44
stampee: ok try it now. I put up 3.0.8.


I do want to drop dharma because it requires the librtmp upgrade.

I also want to take advantage of the new caching module in eden. Eden also supports native xbmc stop/resume support in plug-ins.
Reply
#45
bluecop. I updated to 3.0.8 and restarted xbmc. here is another logfile. looks like maybe a mis-spelled word? no file found etree
http://pastebin.com/KffEespf
Reply
  •  Previous
  • 1
  • 2
  • 3(current)
  • 4
  • 5
  • 128
  • Next 



[SUPPORT] Hulu Video Plugin4.1817